<?php

namespace Drupal\super_sitemap\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Super Sitemap route subscriber to alter Simple Sitemap routes.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    // Remove the simple_sitemap.sitemap_variant; its functionality is replaced
    // with the super_sitemap.sitemap_variant route.
    $collection->remove('simple_sitemap.sitemap_variant');
  }

}
